#ifndef MINCINERATOR_HPP_
#define MINCINERATOR_HPP_

#include <Machine/Machine.hpp>
#include <Machine/IElectricMachine.hpp>
#include <Machine/IBeltMachine.hpp>

/**
 * @brief The machine for the incinerator block.
 */
class MIncinerator :
    public Machine,
    public IElectricMachine,
    public IBeltMachine
{
public:
    static constexpr int energyPerItem = 10;

    MIncinerator(LocalWorld &world, glm::ivec3 pos);

    virtual void serializeState(std::vector<uint8_t> &outBytes) override;
    virtual void deserializeState(const uint8_t *data, size_t size) override;
    virtual bool canConnectElectricWire(Side side) override;
    virtual void onItemStackEntering(Side side, ItemStack &stack) override;
};

#endif